Name:		devidify
Version:	1.14
Release:	%mkrel 4

Summary:	Extracting audio tracks from DVDs
Group:		Sound/Utilities

License:	GPLv2
URL:		http://www.mahnamahna.net/museyroom/devidify/devidify.shtml
Source0:	http://devidify.googlecode.com/files/%{name}-%{version}.tar.gz

Requires:	lame
Requires:	lsdvd
Requires:	mplayer
Requires:	python
Requires:	pygtk2.0
Requires:	vorbis-tools
Requires:	pygtk2.0-libglade

%description
I wrote it because I had a few concert DVDs laying around, and
wanted to get their audio tracks into my portable music player.
At the time, existing Linux-based tools meant ripping the video
first, then extracting the audio. They made none of this easy.
Who has time for such nonsense? Devidify makes things easy.
Feed it a shiny disc and it spits out WAV, MP3, or Ogg Vorbis
files.

%prep
%setup -q -n %{name}-%{version}
%__sed -i -e 's|install_data=/usr/local/share|install_data=/usr/share|g' \
	setup.cfg
%__sed -i -e 's|install_scripts=/usr/local/bin|install_scripts=/usr/bin|g' \
	setup.cfg


%build
%__python setup.py build

%install
%__install -dm 755 %{buildroot}%{python_sitelib}

%__python setup.py install \
	--root=%{buildroot}\
	--prefix=%{_prefix}
%__rm -f %{buildroot}%{_datadir}/applications/%{name}.desktop
%__mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Devidify
Comment=Extract audio from your DVDs
Comment[es]=Extrae pistas de audio de DVDs
Type=Application
Terminal=false
Exec=devidify
StartupNotify=true
Icon=cd_burning_section.png
Categories=GNOME;GTK;Application;AudioVideo;
EOF

%files
%doc COPYING NEWS README TODO
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{python_sitelib}/Devidify-%{version}-py%{py_ver}.egg-info
%{_datadir}/applications/*.desktop


%changelog
* Thu Oct 31 2013 tmb <tmb> 1.14-4.mga4
+ Revision: 548163
- Mageia 4 rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.14-3.mga3.tainted
+ Revision: 348734
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 barjac <barjac> 1.14-2.mga3.tainted
+ Revision: 324459
- Change group to new policy

* Wed Aug 01 2012 dams <dams> 1.14-1.mga3.tainted
+ Revision: 277316
- clean specfile

* Thu May 31 2012 juancho <juancho> 1.14-1.mga3
+ Revision: 252448
- Removed unneeded BR python-devel
- Removed hardcoded path to icon in desktop file
- Changed Mandriva for Mageia in desktop file name

  + vaci0 <vaci0>
    - imported package devidify

